Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.multipart.commons
Class CommonsFileUploadSupport.MultipartParsingResult

    java.lang.Object
      org.springframework.web.multipart.commons.CommonsFileUploadSupport.MultipartParsingResult

Enclosing class:
  CommonsFileUploadSupport

    protected static class CommonsFileUploadSupport.MultipartParsingResult

extends Object

Holder for a Map of Spring MultipartFiles and a Map of multipart parameters.

Constructor Summary
`CommonsFileUploadSupport.MultipartParsingResult(MultiValueMap<String,MultipartFile> mpFiles, Map<String,String[]> mpParams)` Create a new MultipartParsingResult.

Method Summary
`MultiValueMap<String,MultipartFile>` | `getMultipartFiles()` Return the multipart files as Map of field name to MultipartFile instance.
`Map<String,String[]>` | `getMultipartParameters()` Return the multipart parameters as Map of field name to form field String value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonsFileUploadSupport.MultipartParsingResult

    public CommonsFileUploadSupport.MultipartParsingResult(MultiValueMap<String,MultipartFile> mpFiles,
                                                           Map<String,String[]> mpParams)

  Create a new MultipartParsingResult.

  Parameters:
    `mpFiles` - Map of field name to MultipartFile instance
    `mpParams` - Map of field name to form field String value

Method Detail

### getMultipartFiles

    public MultiValueMap<String,MultipartFile> getMultipartFiles()

  Return the multipart files as Map of field name to MultipartFile instance.

### getMultipartParameters

    public Map<String,String[]> getMultipartParameters()

  Return the multipart parameters as Map of field name to form field String value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD